gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r30928 - gnunet/src/namestore


From: gnunet
Subject: [GNUnet-SVN] r30928 - gnunet/src/namestore
Date: Thu, 28 Nov 2013 11:37:24 +0100

Author: wachs
Date: 2013-11-28 11:37:24 +0100 (Thu, 28 Nov 2013)
New Revision: 30928

Modified:
   gnunet/src/namestore/test_namestore_delete.sh
   gnunet/src/namestore/test_namestore_lookup.sh
   gnunet/src/namestore/test_namestore_put.sh
Log:
check for cli tools 


Modified: gnunet/src/namestore/test_namestore_delete.sh
===================================================================
--- gnunet/src/namestore/test_namestore_delete.sh       2013-11-28 10:05:52 UTC 
(rev 30927)
+++ gnunet/src/namestore/test_namestore_delete.sh       2013-11-28 10:37:24 UTC 
(rev 30928)
@@ -1,6 +1,14 @@
 #!/bin/bash
 CONFIGURATION="test_namestore_api.conf"
 trap "gnunet-arm -e -c $CONFIGURATION" SIGINT
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 rm -rf `gnunet-config -c $CONFIGURATION -s PATHS -o GNUNET_HOME`
 TEST_DOMAIN_PLUS="www.gnu"
 TEST_DOMAIN_DNS="www3.gnu"

Modified: gnunet/src/namestore/test_namestore_lookup.sh
===================================================================
--- gnunet/src/namestore/test_namestore_lookup.sh       2013-11-28 10:05:52 UTC 
(rev 30927)
+++ gnunet/src/namestore/test_namestore_lookup.sh       2013-11-28 10:37:24 UTC 
(rev 30928)
@@ -1,6 +1,14 @@
 #!/bin/bash
 CONFIGURATION="test_namestore_api.conf"
 trap "gnunet-arm -e -c $CONFIGURATION" SIGINT
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 rm -rf `gnunet-config -c $CONFIGURATION -s PATHS -o GNUNET_HOME`
 TEST_IP_PLUS="127.0.0.1"
 TEST_RECORD_NAME_DNS="www3"

Modified: gnunet/src/namestore/test_namestore_put.sh
===================================================================
--- gnunet/src/namestore/test_namestore_put.sh  2013-11-28 10:05:52 UTC (rev 
30927)
+++ gnunet/src/namestore/test_namestore_put.sh  2013-11-28 10:37:24 UTC (rev 
30928)
@@ -1,6 +1,14 @@
 #!/bin/bash
 CONFIGURATION="test_namestore_api.conf"
 trap "gnunet-arm -e -c $CONFIGURATION" SIGINT
+
+LOCATION=$(which gnunet-config)
+if [ -z $LOCATION ]
+then
+       echo "GNUnet command line tools cannot be found, check environmental 
variables PATH and GNUNET_PREFIX" 
+       exit 1
+fi
+
 rm -rf `gnunet-config -c $CONFIGURATION -s PATHS -o GNUNET_HOME`
 TEST_DOMAIN_PLUS="www.gnu"
 TEST_DOMAIN_DNS="www3.gnu"




reply via email to

[Prev in Thread] Current Thread [Next in Thread]